%global __cmake_in_source_build 1

Summary:        Libcomps is alternative for yum.comps library.
Name:           libcomps
Version:        0.1.19
Release:        5%{?dist}
License:        GPLv2+
URL:            https://github.com/rpm-software-management/libcomps
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++, gcc, cmake
BuildRequires:  libxml2-devel, check-devel, expat-devel, zlib-devel

%description
Libcomps is alternative for yum.comps library. It's written in pure 
C as library and there's bindings for python2 and python3.

%package devel
Summary:        Development files for libcomps library
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for libcomps library.

%package -n python3-%{name}
Summary:        Python 3 bindings for libcomps library
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  make
Requires:       %{name} = %{version}-%{release}

%description -n python3-%{name}
Python3 bindings for libcomps library.



%prep
%autosetup -p1 -n %{name}-%{version}

mkdir build-py3
mkdir build-doc



%build
pushd build-py3
  %cmake ../libcomps/
  %make_build
popd



%install
pushd build-py3
  %make_install
popd



%check
pushd build-py3
  make test
  make pytest
popd


%files
%license COPYING
%doc README.md
%{_libdir}/%{name}.so.*

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/

%files -n python3-%{name}
%{python3_sitearch}/%{name}/
%{python3_sitearch}/%{name}-%{version}-py%{python3_version}.egg-info



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.19-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.19-4
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.19-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.19-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 Shuo Wang <abushwang@tencent.com> - 0.1.19-1
- update to 0.1.19

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.18-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.18-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 20 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.1.18-1
- Initial. 
